package ec.gob.registrocivil;

import com.fp.webservices.snap.recursos.MsgSnap;
import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceException;
import javax.xml.ws.WebServiceFeature;

@WebServiceClient(name = "ConsultaCiudadano", targetNamespace = "http://www.registrocivil.gob.ec", wsdlLocation = "https://www.bsg.gob.ec/sw/RC/BSGSW03_Consultar_Ciudadano?wsdl")
public class ConsultaCiudadano_Service
        extends Service {

    private static final URL CONSULTACIUDADANO_WSDL_LOCATION;
    private static final WebServiceException CONSULTACIUDADANO_EXCEPTION;
    private static final QName CONSULTACIUDADANO_QNAME = new QName("http://www.registrocivil.gob.ec", "ConsultaCiudadano");

    static {
        URL url = null;
        WebServiceException e = null;
        try {
            url = new URL(MsgSnap.getString("url_consulta_cedula"));
        } catch (MalformedURLException ex) {
            e = new WebServiceException(ex);
        }
        CONSULTACIUDADANO_WSDL_LOCATION = url;
        CONSULTACIUDADANO_EXCEPTION = e;
    }

    public ConsultaCiudadano_Service() {
        super(__getWsdlLocation(), CONSULTACIUDADANO_QNAME);
    }

    public ConsultaCiudadano_Service(WebServiceFeature... features) {
        super(__getWsdlLocation(), CONSULTACIUDADANO_QNAME, features);
    }

    public ConsultaCiudadano_Service(URL wsdlLocation) {
        super(wsdlLocation, CONSULTACIUDADANO_QNAME);
    }

    public ConsultaCiudadano_Service(URL wsdlLocation, WebServiceFeature... features) {
        super(wsdlLocation, CONSULTACIUDADANO_QNAME, features);
    }

    public ConsultaCiudadano_Service(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public ConsultaCiudadano_Service(URL wsdlLocation, QName serviceName, WebServiceFeature... features) {
        super(wsdlLocation, serviceName, features);
    }

    @WebEndpoint(name = "ConsultaCiudadanoPort")
    public ConsultaCiudadano getConsultaCiudadanoPort() {
        return (ConsultaCiudadano) getPort(new QName("http://www.registrocivil.gob.ec", "ConsultaCiudadanoPort"), ConsultaCiudadano.class);
    }

    @WebEndpoint(name = "ConsultaCiudadanoPort")
    public ConsultaCiudadano getConsultaCiudadanoPort(WebServiceFeature... features) {
        return (ConsultaCiudadano) getPort(new QName("http://www.registrocivil.gob.ec", "ConsultaCiudadanoPort"), ConsultaCiudadano.class, features);
    }

    private static URL __getWsdlLocation() {
        if (CONSULTACIUDADANO_EXCEPTION != null) {
            throw CONSULTACIUDADANO_EXCEPTION;
        }
        return CONSULTACIUDADANO_WSDL_LOCATION;
    }
}


/* Location:              /data/COMACO/SINCOAR2022/Entorno/produccion/servers/mule-standalone-3.5.0/apps/centralwebservices-2.1.zip!/centralwebservices-2.1/classes/ec/gob/registrocivil/ConsultaCiudadano_Service.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */
